WeakAuras

Party in CC

  • 4 posts
    #1 Apr 07, 2011 at 07:42 UTC - 0 likes

    Hi i really like your addon. Its very useful But id really like to create a trigger for Arenas

    Id like to know if my healer is under a Crowd Control Effect like Polymorph in Arenas So i can react faster and have a more flashy warning.

    So how can a scan for party1,2,3,4,5?

    #2 Apr 27, 2011 at 14:12 UTC - 0 likes

    @Clayv:
    Hi,

      I've patched my version to include party1 as a selectable unit. I'll post the diff here when I get home (and don't forget it :)

    cheers,
    mitch

    #3 Apr 27, 2011 at 21:07 UTC - 0 likes

    In addition to that, allowing the selection of specific units (by UID or by name) is on the long long list of features to add for 1.4.

    I didn't include it originally because I think using a specific UID (e.g., "party1") is rather poor functionality since you'd have to reconfigure it to point to the person you're concerned about every time your party is formed, and catching updates for specific names is significantly more complicated.

    #4 Apr 28, 2011 at 09:10 UTC - 0 likes

    @Mirrormn:

    Hi,

      I still think it's useful for 2v2 arenas, so here's the patch if you're interested. It also fixes an issue with the version check if you install WA for the first time.

    cheers,
    mitch

    ps: maybe I should've used L["Party1"] = ("%s %d"):format(_G[PARTY], 1), dunno how well that'd work for non-english locales.

    Index: Localization-enUS.lua
    ===================================================================
    --- Localization-enUS.lua  (revision 119)
    +++ Localization-enUS.lua  (working copy)
    @@ -10,6 +10,7 @@
     L["Focus"] = "Focus"
     L["Raid"] = "Raid"
     L["Party"] = "Party"
    +L["Party1"] = "Party1"
     L["At Least One Enemy"] = "At Least One Enemy"
     L["Lower Than Tank"] = "Lower Than Tank"
     L["Higher Than Tank"] = "Higher Than Tank"
    Index: Types.lua
    ===================================================================
    --- Types.lua  (revision 119)
    +++ Types.lua  (working copy)
    @@ -46,12 +46,14 @@
         focus = L["Focus"],
         group = L["Group"],
         pet = L["Pet"],
    +    party1 = L["Party1"],
         multi = L["Multi-target"]
     };
     WeakAuras.actual_unit_types = {
         player = L["Player"],
         target = L["Target"],
         focus = L["Focus"],
    +    party1 = L["Party1"],
         pet = L["Pet"]
     };
     WeakAuras.eclipse_types = {
    Index: WeakAurasOptions/WeakAurasOptions.lua
    ===================================================================
    --- WeakAurasOptions/WeakAurasOptions.lua  (revision 119)
    +++ WeakAurasOptions/WeakAurasOptions.lua  (working copy)
    @@ -914,7 +914,7 @@
             local version = WeakAuras.versionString
             
             --Check for 4.0 to 4.1 upgrade to give warning about Combat Log Event Unfiltered change
    -        if(tonumber(odb.build <= 13623 and tonumber(build) > 13623) then
    +        if(odb.build and tonumber(odb.build <= 13623 and tonumber(build) > 13623) then
                 WeakAuras.CombatEventWarning(true);
             end

  • 4 posts

You must login to post a comment. Don't have an account? Register to get one!